//
//  NSString+VenueKitAdditions.m
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import "NSString+VenueKitAdditions.h"


@implementation NSString (VenueKitAdditions)

- (NSString *)vnk_URLEncodedString {
    return CFBridgingRelease(CFURLCreateStringByAddingPercentEscapes(kCFAllocatorDefault,
                                                                     (__bridge CFStringRef)self,
                                                                     NULL,
                                                                     CFSTR("!*'();:@&=+$,/?%#[]"),
                                                                     kCFStringEncodingUTF8));
}

- (NSString *)vnk_URLDecodedString {
	return CFBridgingRelease(CFURLCreateStringByReplacingPercentEscapesUsingEncoding(kCFAllocatorDefault,
                                                                                     (__bridge CFStringRef)self,
                                                                                     CFSTR(""),
                                                                                     kCFStringEncodingUTF8));
}

@end
