//
//  VNKVenueCategory.h
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>


@class VNKService;


@interface VNKVenueCategory : NSObject

@property (nonatomic, strong, readonly) VNKService *service;

@property (nonatomic, copy, readonly) NSString *identifier;
@property (nonatomic, copy, readonly) NSString *name;
@property (nonatomic, copy, readonly) NSString *pluralName;
@property (nonatomic, copy, readonly) NSString *shortName;
@property (nonatomic, readonly, getter=isPrimary) BOOL primary;
@property (nonatomic, copy, readonly) NSDictionary *iconDictionary;

@end
