//
//  VNKService.h
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>

#if TARGET_OS_IPHONE
@class UIImage;
#else
@class NSImage;
#endif


@interface VNKService : NSObject

- (id)initWithClientIdentifier:(NSString *)clientID secret:(NSString *)clientSecret;

@property (copy, readonly) NSString *clientIdentifier;
@property (copy, readonly) NSString *clientSecret;

// Images
- (id)requestImageWithDictionary:(NSDictionary *)imageDictionary size:(NSUInteger)size completionHandler:(void (^)(NSData *imageData, NSError *error))handler;
- (void)cancelImageRequest:(id)imageRequest;

@end
