//
//  VNKVenueCategory.m
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import "VNKVenueCategory.h"
#import "VNKVenueCategory_Private.h"


@implementation VNKVenueCategory

- (id)initWithDictionary:(NSDictionary *)dictionary service:(VNKService *)service {
	self = [super init];
	if (self) {
        self.service = service;
        
		self.identifier = dictionary[@"id"];
		self.name = dictionary[@"name"];
		self.pluralName = dictionary[@"pluralName"];
		self.shortName = dictionary[@"shortName"];
		self.primary = [dictionary[@"primary"] boolValue];
        self.iconDictionary = dictionary[@"icon"];
	}
	return self;
}

- (id)init {
	@throw [NSException exceptionWithName:NSInvalidArgumentException reason:[NSString stringWithFormat:@"%@ should not be directly initialized.", [self class]] userInfo:nil];
}

@end
