//
//  VNKVenueCategory_Private.h
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <VenueKit/VNKVenueCategory.h>


@interface VNKVenueCategory ()

- (id)initWithDictionary:(NSDictionary *)dictionary service:(VNKService *)service;

@property (nonatomic, strong, readwrite) VNKService *service;

@property (nonatomic, copy, readwrite) NSString *identifier;
@property (nonatomic, copy, readwrite) NSString *name;
@property (nonatomic, copy, readwrite) NSString *pluralName;
@property (nonatomic, copy, readwrite) NSString *shortName;
@property (nonatomic, readwrite, getter=isPrimary) BOOL primary;
@property (nonatomic, copy, readwrite) NSDictionary *iconDictionary;

@end
