//
//  VNKVenue_Private.h
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <VenueKit/VNKVenue.h>


@interface VNKVenue ()

- (id)initWithDictionary:(NSDictionary *)dictionary service:(VNKService *)service;

@property (nonatomic, strong, readwrite) VNKService *service;

@property (nonatomic, copy, readwrite) NSString *identifier;
@property (nonatomic, copy, readwrite) NSString *name;

@property (nonatomic, copy, readwrite) CLLocation *location;
@property (nonatomic, copy, readwrite) NSDictionary *addressDictionary;

@property (nonatomic, readwrite, getter=isVerified) BOOL verified;

@property (nonatomic, copy, readwrite) NSString *url;

@property (nonatomic, copy, readwrite) NSArray *categories;
@property (nonatomic, copy, readwrite) NSArray *tags;

@property (nonatomic, copy, readwrite) NSDate *creationDate;

@end
